You are viewing documentation for version 2 of the AWS SDK for Ruby. Version 3 documentation can be found here.
Class: Aws::CloudFront::Types::StreamingDistributionList
- Inherits:
-
Struct
- Object
- Struct
- Aws::CloudFront::Types::StreamingDistributionList
- Defined in:
- (unknown)
Overview
A streaming distribution list.
Returned by:
Instance Attribute Summary collapse
-
#is_truncated ⇒ Boolean
A flag that indicates whether more streaming distributions remain to be listed.
-
#items ⇒ Array<Types::StreamingDistributionSummary>
A complex type that contains one
StreamingDistributionSummaryelement for each distribution that was created by the current AWS account. -
#marker ⇒ String
The value you provided for the
Markerrequest parameter. -
#max_items ⇒ Integer
The value you provided for the
MaxItemsrequest parameter. -
#next_marker ⇒ String
If
IsTruncatedistrue, this element is present and contains the value you can use for theMarkerrequest parameter to continue listing your RTMP distributions where they left off. -
#quantity ⇒ Integer
The number of streaming distributions that were created by the current AWS account.
Instance Attribute Details
#is_truncated ⇒ Boolean
A flag that indicates whether more streaming distributions remain to be
listed. If your results were truncated, you can make a follow-up
pagination request using the Marker request parameter to retrieve more
distributions in the list.
#items ⇒ Array<Types::StreamingDistributionSummary>
A complex type that contains one StreamingDistributionSummary element
for each distribution that was created by the current AWS account.
#marker ⇒ String
The value you provided for the Marker request parameter.
#max_items ⇒ Integer
The value you provided for the MaxItems request parameter.
#next_marker ⇒ String
If IsTruncated is true, this element is present and contains the
value you can use for the Marker request parameter to continue listing
your RTMP distributions where they left off.
#quantity ⇒ Integer
The number of streaming distributions that were created by the current AWS account.